Skip to main content
GET
/
api
/
v2
/
public
/
application
/
event
/
:event_id
Get event by ID
curl --request GET \
  --url https://api.gocobalt.io/api/v2/public/application/event/:event_id \
  --header 'x-api-key: <api-key>'
{
    "_id": "64c8d0e22f6f5ad7ce6b4a62",
    "name": "Add Contact",
    "response": [
        {
            "key": "first_name",
            "type": "text"
        },
        {
            "key": "last_name",
            "type": "text"
        },
        {
            "key": "email",
            "type": "text"
        },
        {
            "key": "phone",
            "type": "text"
        },
        {
            "key": "id",
            "type": "text"
        },
        {
            "key": "prospect",
            "type": "object"
        },
        {
            "key": "prospect.first_name",
            "type": "text"
        },
        {
            "key": "prospect.last_name",
            "type": "text"
        },
        {
            "key": "prospect.email",
            "type": "text"
        },
        {
            "key": "prospect.phone",
            "type": "text"
        }
    ],
    "raw_response": "{\"first_name\":\"John\",\"last_name\":\"Doe\",\"email\":\"john.doe@example.com\",\"phone\":\"1234567890\",\"id\":\"9876543\",\"prospect\":{\"first_name\":\"John\",\"last_name\":\"Doe\",\"email\":\"john.doe@example.com\",\"phone\":\"1234567890\"}}"
}
This API fetches a specific Refold event of your org’s default app by ID.

Request description

Path Parameters

event_id
string
required
Event Id. For Eg: 64c8d0e22f6f5ad7ce6b4a62

Response description

_id
string
Event Id
name
string
Name of the event
response
array
Array of response field objects derived from the event model
raw_response
string
Raw JSON string of the event payload
{
    "_id": "64c8d0e22f6f5ad7ce6b4a62",
    "name": "Add Contact",
    "response": [
        {
            "key": "first_name",
            "type": "text"
        },
        {
            "key": "last_name",
            "type": "text"
        },
        {
            "key": "email",
            "type": "text"
        },
        {
            "key": "phone",
            "type": "text"
        },
        {
            "key": "id",
            "type": "text"
        },
        {
            "key": "prospect",
            "type": "object"
        },
        {
            "key": "prospect.first_name",
            "type": "text"
        },
        {
            "key": "prospect.last_name",
            "type": "text"
        },
        {
            "key": "prospect.email",
            "type": "text"
        },
        {
            "key": "prospect.phone",
            "type": "text"
        }
    ],
    "raw_response": "{\"first_name\":\"John\",\"last_name\":\"Doe\",\"email\":\"john.doe@example.com\",\"phone\":\"1234567890\",\"id\":\"9876543\",\"prospect\":{\"first_name\":\"John\",\"last_name\":\"Doe\",\"email\":\"john.doe@example.com\",\"phone\":\"1234567890\"}}"
}